Commet
  • Precios
Iniciar SesiónRegistrarse
Advance test clock POSTGet test clock state GETProcess pending billing POST
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Advance test clock

Moves the test clock forward, by a number of days (advanceDays) or to an absolute instant (frozenTime). The clock can only move forward. Sandbox only.

Revert scheduled cancellation POST

Revert a scheduled cancellation. Only works when canceledAt is set but status is not yet 'canceled'.

Get test clock state GET

Returns the organization's current test clock state. Sandbox only.

POST
/test-clock

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

advanceDays*integer
Range1 <= value
frozenTime?string
Formatdate-time

Response Body

application/json

application/json

curl -X POST "https://commet.co/api/v1/test-clock" \  -H "Content-Type: application/json" \  -d '{}'

application/json

application/json

Days to move the simulated clock forward. Mutually exclusive with frozenTime.

Absolute ISO 8601 instant to move the clock to. Must be in the future. Mutually exclusive with advanceDays.

Moves the test clock forward, by a number of days (advanceDays) or to an absolute instant (frozenTime). The clock can only move forward. Sandbox only.

{
  "success": true,
  "data": {
    "object": "test_clock",
    "livemode": true,
    "simulatedTime": "2019-08-24T14:15:22Z",
    "isActive": true,
    "now": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}